
import com.imsl.chart.*;
import java.awt.Color;

public class SampleLabelMessage extends JFrameChart {

    public SampleLabelMessage() {
        Chart chart = getChart();
        AxisXY axis = new AxisXY(chart);

        double y[] = {4, 6, 2, 1, 8};
        Data data = new Data(axis, y);
        data.setDataType(Data.DATA_TYPE_LINE);
        data.setLineColor(Color.pink);

        Text message = new Text("This is a\nsample message.");
        message.setAlignment(Data.TEXT_X_LEFT | Data.TEXT_Y_BOTTOM);
        Annotation messageAnnotation
                = new Annotation(axis, message, 1.0, 7.0);
        messageAnnotation.setTextColor(Color.blue);
    }

    public static void main(String argv[]) {
        new SampleLabelMessage().setVisible(true);
    }
}
